Bug 9117 - Reports hierarchies management improvements
Summary: Reports hierarchies management improvements
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: Reports (show other bugs)
Version: master
Hardware: All All
: P5 - low enhancement (vote)
Assignee: Julian Maurice
QA Contact: Katrin Fischer
URL:
Keywords:
Depends on:
Blocks: 12213
  Show dependency treegraph
 
Reported: 2012-11-20 15:33 UTC by Julian Maurice
Modified: 2015-04-28 13:40 UTC (History)
4 users (show)

See Also:
Change sponsored?: Sponsored
Patch complexity: Medium patch
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 9117: Reports hierarchies management improvements (27.79 KB, patch)
2012-11-20 15:34 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9117: Reports hierarchies management improvements (27.89 KB, patch)
2012-11-21 13:35 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9117 [Follow-up] Reports hierarchies management improvements (6.67 KB, patch)
2012-11-21 15:40 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9117 [Follow-up] Reports hierarchies management improvements (6.69 KB, patch)
2012-11-22 10:00 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 9117 [Follow-up] Reports hierarchies management improvements (2.12 KB, patch)
2012-11-22 10:00 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9117 [Follow-up] Reports hierarchies management improvements (2.17 KB, patch)
2012-12-07 15:29 UTC, Kyle M Hall
Details | Diff | Splinter Review
Bug 9117: Reports hierarchies management improvements (27.83 KB, patch)
2013-01-17 13:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9117 [Follow-up] Reports hierarchies management improvements (6.69 KB, patch)
2013-01-17 13:52 UTC, Jonathan Druart
Details | Diff | Splinter Review
Bug 9117 [Follow-up] Reports hierarchies management improvements (2.96 KB, patch)
2013-01-17 13:53 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9117: Reports hierarchies management improvements (27.32 KB, patch)
2013-03-18 14:04 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9117 [Follow-up] Reports hierarchies management improvements (6.69 KB, patch)
2013-03-18 14:07 UTC, Julian Maurice
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 9117 [Follow-up] Reports hierarchies management improvements (2.12 KB, patch)
2013-03-18 14:09 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 9117 [Follow-up] Fix group and subgroup filtering (1.70 KB, patch)
2013-03-18 15:47 UTC, Julian Maurice
Details | Diff | Splinter Review
Bug 9117 [Follow-up] Translatable string should be in double quotes (1004 bytes, patch)
2013-03-18 15:51 UTC, Julian Maurice
Details | Diff | Splinter Review
[PASSED QA] Bug 9117: Reports hierarchies management improvements (27.39 KB, patch)
2013-03-18 16:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Reports hierarchies management improvements (6.76 KB, patch)
2013-03-18 16:35 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Reports hierarchies management improvements (2.19 KB, patch)
2013-03-18 16:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Fix group and subgroup filtering (1.76 KB, patch)
2013-03-18 16:36 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Translatable string should be in double quotes (1.32 KB, patch)
2013-03-18 16:37 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117: Reports hierarchies management improvements (27.39 KB, patch)
2013-03-18 16:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Reports hierarchies management improvements (6.76 KB, patch)
2013-03-18 16:42 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Reports hierarchies management improvements (2.19 KB, patch)
2013-03-18 16:43 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117: Reports hierarchies management improvements (27.39 KB, patch)
2013-03-18 16:48 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Reports hierarchies management improvements (6.76 KB, patch)
2013-03-18 16:49 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Reports hierarchies management improvements (2.19 KB, patch)
2013-03-18 16:52 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Fix group and subgroup filtering (1.76 KB, patch)
2013-03-18 16:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
[PASSED QA] Bug 9117 [Follow-up] Translatable string should be in double quotes (1.32 KB, patch)
2013-03-18 16:53 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 9117: Add imageurl to the list of parameters of AddAuthorisedValue (2.78 KB, patch)
2013-03-21 14:49 UTC, Julian Maurice
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Julian Maurice 2012-11-20 15:33:24 UTC
- Filter by groups using tabs
- Filter by subgroups using a dropdown list under each tab
- Allow to create new group and subgroups when building a new report or
  editing an existing report (no need to go through admin AV interface)

+ Possibility to duplicate a report (new link in the table)
Comment 1 Julian Maurice 2012-11-20 15:34:01 UTC Comment hidden (obsolete)
Comment 2 Kyle M Hall 2012-11-21 13:35:22 UTC Comment hidden (obsolete)
Comment 3 Owen Leonard 2012-11-21 15:40:45 UTC Comment hidden (obsolete)
Comment 4 Julian Maurice 2012-11-22 10:00:27 UTC Comment hidden (obsolete)
Comment 5 Julian Maurice 2012-11-22 10:00:35 UTC Comment hidden (obsolete)
Comment 6 Nicole C. Engard 2012-11-26 14:01:02 UTC
I wanted to be a on the CC list for this bug, but had to set a patch complexity to do so - update if I was wrong in my assumptions.

Nicole
Comment 7 Kyle M Hall 2012-12-07 15:29:34 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2013-01-17 13:52:51 UTC Comment hidden (obsolete)
Comment 9 Jonathan Druart 2013-01-17 13:52:58 UTC Comment hidden (obsolete)
Comment 10 Jonathan Druart 2013-01-17 13:53:04 UTC Comment hidden (obsolete)
Comment 11 Jonathan Druart 2013-01-17 13:53:26 UTC
Rebased patches.
Comment 12 Katrin Fischer 2013-03-18 13:17:03 UTC
Hi Jonathan - could you rebase? I started looking into this, but I think better you resolve. Will then test this next.
Comment 13 Julian Maurice 2013-03-18 14:04:32 UTC Comment hidden (obsolete)
Comment 14 Julian Maurice 2013-03-18 14:07:08 UTC Comment hidden (obsolete)
Comment 15 Julian Maurice 2013-03-18 14:09:09 UTC Comment hidden (obsolete)
Comment 16 Julian Maurice 2013-03-18 14:10:15 UTC
All patches rebased on master.
Comment 17 Katrin Fischer 2013-03-18 15:34:27 UTC
Found a little something:
When limiting to subgroups the limit seems to do a truncated search:

STH = Something
STHE = Something Else

Limiting on STHE worked perfectly, limiting on STH still gives me all reports for STH and STHE. 

Can be dealt with in a follow-up patch. Continuing testing.
Comment 18 Julian Maurice 2013-03-18 15:47:50 UTC Comment hidden (obsolete)
Comment 19 Julian Maurice 2013-03-18 15:51:26 UTC Comment hidden (obsolete)
Comment 20 Katrin Fischer 2013-03-18 16:35:21 UTC Comment hidden (obsolete)
Comment 21 Katrin Fischer 2013-03-18 16:35:49 UTC Comment hidden (obsolete)
Comment 22 Katrin Fischer 2013-03-18 16:36:25 UTC Comment hidden (obsolete)
Comment 23 Katrin Fischer 2013-03-18 16:36:55 UTC Comment hidden (obsolete)
Comment 24 Katrin Fischer 2013-03-18 16:37:19 UTC Comment hidden (obsolete)
Comment 25 Katrin Fischer 2013-03-18 16:42:19 UTC Comment hidden (obsolete)
Comment 26 Katrin Fischer 2013-03-18 16:42:51 UTC Comment hidden (obsolete)
Comment 27 Katrin Fischer 2013-03-18 16:43:44 UTC Comment hidden (obsolete)
Comment 28 Katrin Fischer 2013-03-18 16:48:16 UTC
Created attachment 16292 [details] [review]
[PASSED QA] Bug 9117: Reports hierarchies management improvements

- Filter by groups using tabs
- Filter by subgroups using a dropdown list under each tab
- Allow to create new group and subgroups when building a new report or
  editing an existing report (no need to go through admin AV interface)

+ Possibility to duplicate a report (new link in the table)

Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 29 Katrin Fischer 2013-03-18 16:49:43 UTC
Created attachment 16293 [details] [review]
[PASSED QA] Bug 9117 [Follow-up] Reports hierarchies management improvements

This patch corrects serveral markup errors in the template
introduced by this bug as well as previous patches: unescaped
ampersands, missing closing tags, typos.

To test, view various stages of the process of viewing or
creating guided reports and check the source for validity.

Signed-off-by: Julian Maurice <julian.maurice@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 30 Katrin Fischer 2013-03-18 16:52:31 UTC
Created attachment 16294 [details] [review]
[PASSED QA] Bug 9117 [Follow-up] Reports hierarchies management improvements

This patch avoid javascript bugs when user hasn't 'create_reports'
permission (last column is hidden in this case but <th> remains)
+ fix a typo 'selelcted' > 'selected'

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 31 Katrin Fischer 2013-03-18 16:53:08 UTC
Created attachment 16295 [details] [review]
[PASSED QA] Bug 9117 [Follow-up] Fix group and subgroup filtering

When a group code is contained in another group code (e.g. 'COD' and
'CODE'), filtering on the longest ('CODE') include reports of the
smallest ('COD').
Same problem for the subgroups.
This patch fixes this.

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Comment 32 Katrin Fischer 2013-03-18 16:53:37 UTC
Created attachment 16296 [details] [review]
[PASSED QA] Bug 9117 [Follow-up] Translatable string should be in double quotes

Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
All tests and QA script pass.

Tests done:
- Created several reports fresh and using the new duplicate feature.
- Verified authorized values were created correctly and can be
  viewed from Administration > authorized values.
- Checked tabs and limiting on subgroups works correctly.
Comment 33 Jared Camins-Esakov 2013-03-21 14:16:48 UTC
We need a unit test for C4::Koha::AddAuthorisedValue. Once one is provided, please set this patch back to "Passed QA."

As an aside, making all the authorised value adding bits of code use the same AddAuthorisedValue subroutine might be good.
Comment 34 Julian Maurice 2013-03-21 14:49:07 UTC
Created attachment 16653 [details] [review]
Bug 9117: Add imageurl to the list of parameters of AddAuthorisedValue

and add unit test in t/db_dependant/Koha.t
Comment 35 Julian Maurice 2013-03-21 14:52:08 UTC
To integrate well with other unit tests, I had to add imageurl parameter to AddAuthorisedValue
Comment 36 Jared Camins-Esakov 2013-03-21 22:53:53 UTC
(In reply to comment #35)
> To integrate well with other unit tests, I had to add imageurl parameter to
> AddAuthorisedValue

Thanks. I dislike the use of ok() for this sort of test on principle, but as it was already there and the tests pass perfectly with the introduction of the new routine, I am satisfied with this follow-up and will be pushing this.
Comment 37 Jared Camins-Esakov 2013-03-21 22:54:53 UTC
This patch has been pushed to master.